[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TBinaryObjectReader.ReadDate

Read a date.

## Declaration

Source position: classesh.inc line 1298

`public function TBinaryObjectReader.ReadDate: TDateTime; override;`

## Description

ReadDate reads a date value from a binary stream.

This method is simply the implementation for a binary stream of the abstract method introduced in TAbstractObjectReader